<PowerSelect ...attributes @search={{this.searchRecord}} @selected={{this.record}} @onChange={{this.handleChange}} @searchEnabled={{true}} {{did-insert this.setup}} as |model|>
  {{model.title}}
</PowerSelect>